Name:           jrosetta
Version:        1.0.4
Release:        %mkrel 12
Summary:        A common base to build a graphical console

Group:          Development/Java
License:        GPLv2
URL:            http://dev.artenum.com/projects/JRosetta
Source0:        http://maven.artenum.com/content/groups/public/com/artenum/%{name}/%{version}/%{name}-%{version}-sources.jar

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)

Requires:       javapackages-tools
Requires:       java

%description
JRosetta provides a common base for graphical component that could be used
to build a graphical console in Swing with the latest requirements, such as
command history, completion and so on for instance for scripting language
or command line.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# remove jar format related directory
rm -fr ../META-INF
#wrong-file-end-of-line-encoding
cp -p CHANGE.txt CHANGE.txt.CRLF
sed -i -e 's/\r//' CHANGE.txt
touch -r CHANGE.txt.CRLF CHANGE.txt
rm CHANGE.txt.CRLF
# remove deployement dependency
%pom_xpath_remove "pom:build/pom:extensions" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt COPYRIGHT.txt CHANGE.txt

%files javadoc -f .mfiles-javadoc


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-12.mga8
+ Revision: 1501853
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.4-11.mga7
+ Revision: 1279134
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 daviddavid <daviddavid> 1.0.4-10.mga7
+ Revision: 1160575
- add BR maven-assembly-plugin to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.0.4-8.mga6
+ Revision: 980830
- First rebuild of the java stack
- sync package jrosetta with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0.4-7.mga5
+ Revision: 811334
- build with xmvn
- use .mfiles generated during build
- add docs on javadoc subpackage

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-6.mga5
+ Revision: 749709
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 dmorgan <dmorgan> 1.0.4-4.mga4
+ Revision: 562811
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 355578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.0.4-1.mga3
+ Revision: 344373
- New version

* Thu Mar 31 2011 grenoya <grenoya> 1.0.2-0.0.4.mga1
+ Revision: 79299
- imported package jrosetta


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-0.0.4mdv2011.0
+ Revision: 612513
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-0.0.3mdv2010.1
+ Revision: 540946
- rebuild

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.0.2-0.0.2mdv2010.0
+ Revision: 438066
- rebuild

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-0.0.1mdv2009.1
+ Revision: 334588
- update to new version 1.0.2
- drop patch 0

* Sun Nov 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-0.0.1mdv2009.1
+ Revision: 301435
- add source and spec files
- Created package structure for jrosetta.

